Articles of macos

Múltiples instalaciones de Python en MacOSX para Eclipse

Quiero tener múltiples instalaciones de Python: 2.1, 2.4, 2.7, 3.x Mi IDE es Eclipse (Helios) / Pydev en MacOSX, que funciona muy bien. Tengo un par de bases de código de Python que se ejecutarán en diferentes versiones de Python. Además, me gusta la reticulación de Eclipse PyDev del código fuente a la documentación. La […]

Mac osx lion, virtualenv, pil install – error de gcc

Acabo de completar la instalación de xcode, mac osx lion. Al finalizar, intenté instalar PIL en un entorno virtual usando pip, easy_install y home brew. Los tres se están equivocando. pip instalar da el siguiente error: pip unable to execute gcc-4.0: No such file or directory error: command ‘gcc-4.0’ failed with exit status 1 ` […]

¿Cómo configuro un directorio de biblioteca de python local / PYTHONPATH?

En el proceso de intentar escribir un script de Python que usa PIL hoy, descubrí que no parece que lo tenga en mi máquina local (OS X 10.5.8, instalación predeterminada de Python 2.5). Así que corro: easy_install –prefix=/usr/local/python/ pil y se queja un poco acerca de /usr/local/python/lib/python2.5/site-packages que aún no existen, así que lo creo, […]

Instalando Tweepy con pip

Estoy tratando de instalar tweepy con el comando pip pip install tweepy Sin embargo se viene con el error. DEPRECATION: Uninstalling a distutils installed project (six) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project. … […]

Error de importación ft2font desde matplotlib (python, macosx)

Estaba instalando matplotlib para usar el mapa base hoy, cuando tuve que instalar muchas cosas para que funcionara. Después de instalar matplotlib y poder importarlo, instalé el mapa base pero no puedo importar el mapa base debido a este error: desde mpl_toolkits.basemap import Basemap Seguimiento (última llamada más reciente): Archivo “”, línea 1, en Archivo […]

instala opencv3 en mac para python 3.6

Quiero instalar opencv3 para python 3.6 en macOS Sierra. He intentado usarlo a través de homebrew usando este enlace http://www.pyimagesearch.com/2016/12/19/install-opencv-3-on-macos-with-homebrew-the-easy-way/ pero estoy obteniendo este error Error: opencv3: Does not support building both Python 2 and 3 wrappers ¿Cómo resolver esto?

No se puede actualizar python-dateutil en OSX

Estoy intentando instalar Sphinx en OSX, con la esperanza de eventualmente convertirlo en un sitio web, siguiendo esta guía : He trabajado en macporting, homebrewing, python wheelin ‘, y he descubierto qué es un virtualenv … y si debería usar python 2.7 o 3.X (lo cual no pude entender) Agregué esto a mi perfil de […]

python -m SimpleHTTPServer – Escuchando en 0.0.0.0:8000 pero http://0.0.0.0:8000/test.html da “Página no encontrada”

Después de cding a mi carpeta entro python -m SimpleHTTPServer y obten Serving HTTP on 0.0.0.0 port 8000 … en respuesta. Pero cuando llego a http://0.0.0.0:8000/test.html un error de página no encontrada. También he intentado pushd /path/you/want/to/serve; python -m SimpleHTTPServer; popd tomado de esta pregunta Cuando presiono ls puedo ver el archivo y el directorio. […]

Qué comando usar para verificar si Python es de 64 bits o de 32 bits

No puedo encontrar ningún comando para verificar si mi python está comstackdo para el sistema de 32 bits o para el sistema de 64 bits. Lo intenté python y solo dice la versión Además, cuando voy al sitio de descarga de Python, tienen una versión de Python para Linux pero dos versiones para Mac, es […]

Pip no instala la última versión disponible de pypi (argparse en este caso)

El problema Trabajé en algunos proyectos de Python últimamente y tuve muchos problemas con pip no para instalar las últimas versiones de algunos requisitos. Estoy en osx y utilicé brew para instalar Python 2.7.6 . En el proyecto en el que estoy trabajando, simplemente pip install -r requirements.txt . En el caso actual, necesitaba instalar […]